1. Payouts
Casharc
Merchant
  • Merchant
  • Getting Started
    • Introduction
    • Authentication
    • Quickstart
  • Core Concepts
    • Statuses
    • Status Codes
  • Guides
    • Idempotency
    • Metadata
  • Payments
    • Create Payment
      POST
    • List Payments
      GET
    • Retrieve Payment
      GET
    • Confirm Payment
      POST
    • Cancel Payment
      POST
    • Refund Payment
      POST
  • Payouts
    • Create Payout
      POST
    • List Payouts
      GET
    • Retrieve Payout
      GET
    • Cancel Payout
      POST
  • Appeals
    • Create Appeal
      POST
    • List Appeals
      GET
    • Retrieve Appeal
      GET
    • Cancel Appeal
      POST
  • Balance
    • Retrieve Balance
      GET
  • Files
    • Upload File
  • Webhook
    • Overview
    • Event Types
    • Verifying
    • Payment Event
    • Payout Event
    • Appeal Event
  1. Payouts

Create Payout

POST
/payouts

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Bodyapplication/json

🟠400
🟠401
🟠403
🟠409
🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/payouts' \
--header 'Idempotency-Key: eae1277a-4c1a-4cba-b5e1-0a5f7efff867' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "amount": "1000.00",
    "currency": "XTS",
    "requisite": {
        "type": "card",
        "card": "4242424242424242",
        "holder": "Test User",
        "bank": "Test Bank"
    },
    "customer": {
        "reference": "user_10426"
    }
}'
Response Response Example
201 - Example
{
    "data": {
        "id": "txn_2n5n5x9hqNx3MoNE",
        "type": "payout",
        "requested": {
            "amount": "1000.00",
            "currency": "XTS"
        },
        "processed": {
            "amount": "0.00",
            "currency": "XTS"
        },
        "requisite": {
            "type": "card",
            "card": "4242424242424242",
            "holder": "Test User",
            "bank": "Test Bank"
        },
        "status": "processing",
        "status_code": "processing",
        "created_at": "2026-01-01T00:21:56Z",
        "expires_at": "2026-01-01T00:22:56Z",
        "finalized_at": null,
        "metadata": {}
    }
}
Previous
Refund Payment
Next
List Payouts
Built with